/*
	tstest - tokenscan library test program

	25 Sep 91	Paul DuBois	dubois@primate.wisc.edu

	25 Sep 91 Version 1.00.  Created.
*/

# include	<stdio.h>

# include	"tokenscan.h"


# define	bufSiz	1024


int main (argc, argv)
int	argc;
char	**argv;
{
char	buf[bufSiz], *p;
int	first;

	if (argc != 2)
	{
		fprintf (stderr, "Usage: tstest file\n");
		exit (1);
	}
	if (freopen (argv[1], "r", stdin) == (FILE *) NULL)
	{
		fprintf (stderr, "cannot open: %s\n", argv[1]);
		exit (1);
	}
	while (fgets (buf, (int) sizeof (buf), stdin) != (char *) NULL)
	{
		printf ("Input:\t%s", buf);
		printf ("Tokens:\t");
		TSScanInit (buf);
		first = 1;
		while ((p = TSScan ()) != (char *) NULL)
		{
			if (first)
				first = 0;
			else
				putchar (' ');
			printf ("<%s>", p);
		}
		if (first == 0)		/* i.e., did find a token */
			putchar ('\n');
	}
	exit (0);
}
